Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum LinkLabelAlignment

    java.lang.Object
      java.lang.Enum<LinkLabelAlignment>
          org.eclipse.gmf.codegen.gmfgen.LinkLabelAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LinkLabelAlignment>, org.eclipse.emf.common.util.Enumerator

    public enum LinkLabelAlignment

extends java.lang.Enum<LinkLabelAlignment>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Link Label Alignment', and utility methods for working with them. Constants from `ConnectionLocator`

See Also:
  `GMFGenPackage.getLinkLabelAlignment()`
** Generated **
Model:

Enum Constant Summary
`MIDDLE_LITERAL` The 'MIDDLE' literal object
`SOURCE_LITERAL` The 'SOURCE' literal object
`TARGET_LITERAL` The 'TARGET' literal object

Field Summary
`static int` `MIDDLE` The 'MIDDLE' literal value
`static int` `SOURCE` The 'SOURCE' literal value
`static int` `TARGET` The 'TARGET' literal value
`static java.util.List<LinkLabelAlignment>` `VALUES` A public read-only list of all the 'Link Label Alignment' enumerators

Method Summary
`static LinkLabelAlignment` `get(int value)` Returns the 'Link Label Alignment' literal with the specified integer value
`static LinkLabelAlignment` `get(java.lang.String literal)` Returns the 'Link Label Alignment' literal with the specified literal value
`static LinkLabelAlignment` `getByName(java.lang.String name)` Returns the 'Link Label Alignment' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static LinkLabelAlignment` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LinkLabelAlignment[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MIDDLE_LITERAL

    public static final LinkLabelAlignment MIDDLE_LITERAL

  The 'MIDDLE' literal object.

  See Also:
    `MIDDLE`
  ** Generated **
  Ordered:

### TARGET_LITERAL

    public static final LinkLabelAlignment TARGET_LITERAL

  The 'TARGET' literal object.

  See Also:
    `TARGET`
  ** Generated **
  Ordered:

### SOURCE_LITERAL

    public static final LinkLabelAlignment SOURCE_LITERAL

  The 'SOURCE' literal object.

  See Also:
    `SOURCE`
  ** Generated **
  Ordered:

Field Detail

### MIDDLE

    public static final int MIDDLE

  The 'MIDDLE' literal value.

  If the meaning of 'MIDDLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MIDDLE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### TARGET

    public static final int TARGET

  The 'TARGET' literal value.

  If the meaning of 'TARGET' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TARGET_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOURCE

    public static final int SOURCE

  The 'SOURCE' literal value.

  If the meaning of 'SOURCE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOURCE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<LinkLabelAlignment> VALUES

  A public read-only list of all the 'Link Label Alignment' enumerators.

  ** Generated **

Method Detail

### values

    public static LinkLabelAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LinkLabelAlignment c : LinkLabelAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LinkLabelAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static LinkLabelAlignment get(java.lang.String literal)

  Returns the 'Link Label Alignment' literal with the specified literal value.

  ** Generated **

### getByName

    public static LinkLabelAlignment getByName(java.lang.String name)

  Returns the 'Link Label Alignment' literal with the specified name.

  ** Generated **

### get

    public static LinkLabelAlignment get(int value)

  Returns the 'Link Label Alignment' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<LinkLabelAlignment>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.